function servercmdSetScore(%client, %target, %value)
{
	if(!%client.isAdmin)
		return;
	
	if(%target $= "")
	{
		%client.chatMessage("Couldn't find a player by that name");
		return;
	}
	
	%target = findClientByName(%target);
	
	if(!isObject(%target))
	{
		%client.chatMessage("Couldn't find a player by that name");
		return;
	}
	
	if(%value == 0) // Cast strings into an actual zero
		%value = 0;
	
	%client.chatMessage("You set" SPC %target.name @ "'s score from" SPC %target.getScore() SPC "to" SPC %value);
	echo(%client.name SPC "set" SPC %target.name @ "'s score from" SPC %target.getScore() SPC "to" SPC %value);
	%target.chatMessage(%client.name SPC "set your score to" SPC %value);
	%target.setScore(%value);
}

function servercmdAddScore(%client, %target, %value)
{
	if(!%client.isAdmin)
		return;
	
	if(%target $= "")
	{
		%client.chatMessage("Couldn't find a player by that name");
		return;
	}
	
	%target = findClientByName(%target);
	
	if(!isObject(%target))
	{
		%client.chatMessage("Couldn't find a player by that name");
		return;
	}
	
	if(%value < 1)
	{
		%client.chatMessage("Invalid value.");
		return;
	}
	
	%target.incScore(%value);
	%client.chatMessage("You added" SPC %value SPC "to" SPC %target.name @ "'s score");
	echo(%client.name SPC "added" SPC %value SPC "to" SPC %target.name @ "'s score");
	%target.chatMessage(%client.name SPC "added" SPC %value SPC "to your score");
}

function servercmdRemoveScore(%client, %target, %value)
{
	if(!%client.isAdmin)
		return;
	
	if(%target $= "")
	{
		%client.chatMessage("Couldn't find a player by that name");
		return;
	}
	
	%target = findClientByName(%target);
	
	if(!isObject(%target))
	{
		%client.chatMessage("Couldn't find a player by that name");
		return;
	}
	
	if(%value > -1)
	{
		%client.chatMessage("Invalid value.");
		return;
	}
	
	%target.incScore(%value * -1);
	%client.chatMessage("You removed" SPC %value SPC "from" SPC %target.name @ "'s score");
	echo(%client.name SPC "removed" SPC %value SPC "from" SPC %target.name @ "'s score");
	%target.chatMessage(%client.name SPC "removed" SPC %value SPC "from your score");
}